
Infrastructure - Story #2045

Get the DataONE CLI ready for public release

2011-11-22 16:11 - Roger Dahl

Status: Closed Start date: 2011-11-22

Priority: High Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Story Points:    

Description

Subtasks:

Task # 2046: CNReplication.setReplicationPolicy() Closed

Task # 2047: CNAuthorization.setAccessPolicy() Closed

Task # 2048: CNRead.search() Closed

Task # 2349: Default algorithm "SHA-1" is not allowed. Closed

Task # 2358: Search fails in CLI Closed

Task # 2357: Tilde expansion (i.e. ~/filename) doesn't work Closed

Task # 2359: "set algorithm" with an invalid algorithm designator crashes the CLI Closed

Task # 2382: CLI "denyall" command crashes program. Closed

Task # 2383: CLI "Fields" command crashes program Closed

Task # 2384: CLI "create" command fails Rejected

Task # 2380: CLI sliently ignores invalid boolean values Closed

History

#1 - 2012-01-06 04:30 - Dave Vieglais

- Position set to 14

#2 - 2012-02-08 20:15 - Dave Vieglais

- Target version set to Sprint-2012.07-Block.1.4

- Position set to 1

- Position deleted (69)

#3 - 2012-02-27 18:07 - Dave Vieglais

- Position deleted (12)

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position set to 14

#4 - 2012-03-16 02:37 - Dave Vieglais

- Position set to 3

- Position deleted (62)

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

#5 - 2012-03-26 16:07 - Roger Dahl

- Status changed from New to Closed
